#include "Sound.h"

/// @file Sound.cpp

Sound::Sound(PinName buzzerPin)
{
    buzzer = new PwmOut(buzzerPin);
}

Sound::~Sound()
{
    delete buzzer;
}

void Sound::playNote(Note &note)
{
    start();
    buzzer->period(1.0/note.frequency);
    ticker.attach(this, &Sound::stop, 0.5 * note.beat);
}

// Sound effects - definitions
namespace SFX
{
    Note PLAYER_DEAD(1174.66, 0.2);
    Note ENEMY_DEAD(1567.98, 0.1);
    Note BULLET_FIRED(1661.22, 0.1);
    Note PLAYER_JUMP(1760.00, 0.2);
    Note RESTART(1318.51, 1.0);   
}